Announcement

Collapse
No announcement yet.

Upgrading from 3.0.5 to 3.0.12 gone VERY wrong ?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrading from 3.0.5 to 3.0.12 gone VERY wrong ?

    Hi Guys

    Just getting ready to enter PANIC MODE

    Trying to upgrade from 3.0.5 to 3.0.12

    I think I did what the instructions said but when I try and run www.blahblah/install/upgrade.php I just get dumped into my admin area and the forums are broken

    I am starting to get VERY scared - what did I do wrong ?

  • #2
    OH NOOOO !!!

    I just thought I would re FTP the install directory and now when I try and run upgrade.php I get ...

    "
    There seems to have been a slight problem with the database.
    Please try again by pressing the refresh button in your browser.
    An E-Mail has been dispatched to our Technical Staff, who you can also contact if the problem persists.
    We apologise for any inconvenience."

    Am I really in trouble ?

    Comment


    • #3
      If I try and access the board I get this ...

      "Warning: main(./global.php): failed to open stream: No such file or directory in /home/sites/site2/web/vb/index.php on line 56

      Fatal error: main(): Failed opening required './global.php' (include_path='.:/usr/local/lib/php') in /home/sites/site2/web/vb/index.php on line 56
      "

      Comment


      • #4
        The source tells me

        Database error in vBulletin :
        Link-ID == false, connect failed
        mysql error:
        mysql error number: 0

        Comment


        • #5
          OK

          I edited the config.php file and added the correct info where required. Now I am back to the first problem. I don't get any upgrade prompts I get taken to the admin suite ?????

          Comment


          • #6
            This usually means you did not upload all the 3.0.12 files.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              Thanks for the reply

              I am going frantic

              I will try again

              PS - why does this message not appear in the 'new posts' search ?

              Comment


              • #8
                One question

                in the upgrade doc it says this ...

                "
                Upload all files from the 'upload/' folder in the zip, with the exception of 'install/install.php'. Then open the 'upload/includes/' folder. In this you will find config.php.new. You should rename this to config.php and then open it in a text editor."

                It doesnt say what to do once you open it in a text editor or if to upload it ?

                Am I being stupid ?

                Comment


                • #9
                  You edit it with your database info as per the instructions:

                  http://www.vbulletin.com/docs/html/editconfig?manualversion=30012500
                  Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                  Change CKEditor Colors to Match Style (for 4.1.4 and above)

                  Steve Machol Photography


                  Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                  Comment


                  • #10
                    Hi Steve

                    You were dead right (you guys always are) I had a file missing somewhere. I have now managed to upgrade ok.

                    How big a deal is it to go to 3.5 and is it worth it ?

                    Thanks for sorting me out

                    Comment

                    widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                    Working...
                    X